List users

Retrieve a list of users in Deel’s HRIS. Token scopes: Users:read

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Query parameters

filterstring or list of stringsOptional
Filter results using [SCIM's filtering syntax](https://datatracker.ietf.org/doc/html/rfc7644#section-3.4.2.2). Currently supports only `eq` operator and filtering by a user's email. Expected format 'email eq "email@domain.com"'.
startIndexstringOptionalformat: "^[0-9]+$"

The 1-based index of the first result to return. Used for pagination. Minimum value is 1. Defaults to 1 if not provided.

countstringOptionalformat: "^[0-9]+$"
The maximum number of results to return per page. Used for pagination. A value of 0 is treated as a special case and returns 1 result. Typically should be a positive integer.

Response

Successful response
schemaslist of enums
Resourceslist of objects
startIndexlong
itemsPerPagelong
totalResultslong

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
429
Too Many Requests Error
500
Internal Server Error